Page MenuHomePhabricator

[Task] Turn mediawiki.org into a Wikidata client
Closed, ResolvedPublic

Description

MediaWiki.org should be a client of Wikidata.org, and have access to interwiki links and data access.

Use cases:

https://www.mail-archive.com/wikidata-l@lists.wikimedia.org/msg03534.html was a brief discussion about it, Denny recommended using SMW, however that has previously been WONTFIXED.


Version: wmf-deployment
Whiteboard: u=dev c=infrastructure p=0
See also:
T54971: [Goal] Sitelinks and arbitrary accesses to Incubator, OldWikisource and BetaWikiversity

Details

Reference
bz71685

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:47 AM
bzimport set Reference to bz71685.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Oct 5 2014, 11:01 PM

Putting extension-related information into wikidata.org seems inappropriate though, the same way that putting metainformation about individual files from Commons onto wikidata.org is inappropriate. Maybe it should be a wikidata local-only repo?

revi added a subscriber: revi.Nov 26 2014, 11:13 AM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).

I think it is fine on Wikidata itself.
Commons is different in so far that the local community demands a lot more control and that the amount of data is considerably larger.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 27 2015, 8:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2015, 8:39 AM
Lydia_Pintscher renamed this task from Turn mediawiki.org into a Wikidata client to [Task] Turn mediawiki.org into a Wikidata client.Aug 19 2015, 12:52 PM
Johan added a subscriber: Johan.Oct 14 2015, 2:54 PM

What's the timeline for this?

It'll happen on the 20th of November.

Johan added a comment.Oct 15 2015, 5:12 PM

It'll happen on the 20th of November.

Just to make sure, it has been moved one month since https://lists.wikimedia.org/pipermail/wikidata/2015-September/007106.html (was linked to that in another ticket after asking this question), and you didn't just mistakenly replace October with November?

aude claimed this task.Oct 15 2015, 9:06 PM
aude removed a project: Wikidata-Sprint-2015-10-13.

I did. Thanks for noticing.

Lydia_Pintscher closed this task as Resolved.Oct 21 2015, 7:51 AM